cURL
curl "https://api.ionq.co/v0.4/jobs/estimate?backend=qpu.forte-1&qubits=25&shots=1000&1q_gates=150&2q_gates=40" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/estimate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"estimate_context": {
"backend": "<string>",
"organization": "<string>",
"project": "<string>",
"type": "ionq.circuit.v1",
"qubits": 25,
"shots": 1000,
"1q_gates": 0,
"2q_gates": 0,
"error_mitigation": false
},
"estimated_at": "<string>",
"estimated_unit": "<string>",
"rate_card": {
"rates": [
{
"sku": "<string>",
"unit": "compute_second",
"unit_cost": 123,
"cost_1q_gate": 123,
"cost_2q_gate": 123,
"job_cost_minimum": 123
}
],
"id": "<string>"
},
"estimated_total_cost": 123,
"estimated_execution_time": 96250,
"current_predicted_queue_time": 397577,
"estimated_quantum_compute_time_us": 123
}Jobs
Get job estimate
Retrieve cost estimate for a job.
GET
/
jobs
/
estimate
cURL
curl "https://api.ionq.co/v0.4/jobs/estimate?backend=qpu.forte-1&qubits=25&shots=1000&1q_gates=150&2q_gates=40" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/estimate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"estimate_context": {
"backend": "<string>",
"organization": "<string>",
"project": "<string>",
"type": "ionq.circuit.v1",
"qubits": 25,
"shots": 1000,
"1q_gates": 0,
"2q_gates": 0,
"error_mitigation": false
},
"estimated_at": "<string>",
"estimated_unit": "<string>",
"rate_card": {
"rates": [
{
"sku": "<string>",
"unit": "compute_second",
"unit_cost": 123,
"cost_1q_gate": 123,
"cost_2q_gate": 123,
"job_cost_minimum": 123
}
],
"id": "<string>"
},
"estimated_total_cost": 123,
"estimated_execution_time": 96250,
"current_predicted_queue_time": 397577,
"estimated_quantum_compute_time_us": 123
}Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Query Parameters
Available options: simulator, qpu.forte-1, qpu.forte-enterprise-1
Required range:
x >= 1Required range:
1 <= x <= 1000000Required range:
x >= 0Required range:
x >= 0Response
Successfully retrieved the cost estimate of a job.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Predicted job execution time, in milliseconds.
Example:
96250
Predicted time this job will wait in the queue before running, in milliseconds.
Example:
397577
Predicted quantum compute time, in microseconds. Only present for compute_second priced backends.
Was this page helpful?

